//-------------------------------------
//ranking.h
//作成者：牧野駿太
//作成日：2016/07/01
//-------------------------------------


#ifndef _RANKING_H_   //２重インクルード

#define _RANKING_H_   //防止のマクロ定義


// ランキング構造体
typedef struct
{
	int nScore;   //スコアの値

}RANKING;


// ランキングの使用方法
typedef enum{

	RANKING_TYPE_SHOW_ONLY = 0,
	RANKING_TYPE_RESELT,
	RANKING_TYPE_MAX

}RANKING_TYPE;


// プロトタイプ宣言
HRESULT InitRanking( void );
void UninitRanking( void );
void UpdateRanking( void );
void DrawRanking( void );
void SetRankingType( RANKING_TYPE type );


#endif	// _RANKING_H_



